--- title: "Post Action" slug: "compute-cloudfunctions-postaction" updated: 2026-09-17T10:05:57Z published: 2026-09-17T10:05:57Z canonical: "api.ncloud-docs.com/compute-cloudfunctions-postaction" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Post Action Available in Classic and VPC Run a Cloud Functions action. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/packages/{packageName}/actions/{actionName} | Note Singapore and Japan Regions are available only in the VPC environment. ### Request headers For information about the headers common to all Cloud Functions APIs, see [Cloud Functions request headers](/docs/en/compute-cloudfunctions#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `packageName` | String | Required | Package name - Enter the special character "-" for actions that are not part of a package. - Example: `/packages/-/actions/myaction` | | `actionName` | String | Required | Action name | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `platform` | String | Optional | Platform type - `vpc` \| `classic` (default) | | `timeout` | Integer | Optional | Action response maximum wait time (millisecond) - 0-60,000 (default: 60,000) - If the action is executed beyond the set timeout, the response body contains only the action execution ID value. | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | User-defined | Object | Optional | Action runtime parameter - JSON in the form of `{"key": "value"}` | ### Request example The request example is as follows: ``` curl --location --request POST 'https://cloudfunctions.apigw.ntruss.com/api/v2/packages/package003/actions/action000?platform=classic' \ --header 'Content-Type: application/json' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "name": "Cloud Functions", "place": "NAVER Cloud" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Action activation information | | `content.activationId` | String | - | Action execution ID | | `content.duration` | Integer | - | Execution time | | `content.start` | Integer | - | Action execution start time (millisecond) - Unix timestamp format | | `content.end` | Integer | - | Action execution end time (millisecond) - Unix timestamp format | | `content.name` | String | - | Action name | | `content.namespace` | String | - | Namespace of the user | | `content.response` | Object | - | Action activation result information | | `content.response.result` | Object | - | Action execution result | | `content.response.status` | String | - | Action status | | `content.response.success` | Boolean | - | Whether the action was successful | | `content.subject` | String | - | Information of the user that executed the action | ### Response status codes For information about the HTTP status codes common to NAVER Cloud Platform, see [Ncloud API response status codes](/docs/en/common-ncpapi#3%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "activationId": "*****6a1fcab420490f6a1fcab0*****", "duration": 33, "end": 1714021538121, "name": "action000", "namespace": "****YBNz****", "response": { "result": { "payload": "abc" }, "status": "success", "success": true }, "start": 1714021538088, "subject": "****YBNz****" } } ```